#include "MenuTextPageNext_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextPageNext_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextPageNext_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_pageNext;
}

std::shared_ptr<Entity> CreateMenuTextPageNext_Player2Keyboard()
{
	return std::make_shared<MenuTextPageNext_Player2Keyboard>();
}


